/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_WsaChInfoDataRate_H_
#define	_WsaChInfoDataRate_H_


#include <asn_application.h>

/* Including external dependencies */
#include <BIT_STRING.h>
#include <NativeInteger.h>
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* WsaChInfoDataRate */
typedef struct WsaChInfoDataRate {
	BIT_STRING_t	 adaptable;
	long	 dataRate;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} WsaChInfoDataRate_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_WsaChInfoDataRate;

#ifdef __cplusplus
}
#endif

#endif	/* _WsaChInfoDataRate_H_ */
#include <asn_internal.h>
